/**
 *Created by cuiliqiang on 2018/3/7
 * 添加游戏次数
 */
import { Data } from "../../Data";

export class AddTimesForActivityData extends Data {
    /**
     * 累计添加次数的总和
     */
    public addedTimes: number;

    /**
     * 累计调用接口的次数
     */
    public shareCount: number;

    public update(data: any): void {
        if (!data) {
            return;
        }
        super.update(data);
        this.addedTimes = data.addedTimes;
        this.shareCount = data.shareCount;
    }
}